Bug 852111 - "Editor for Data Assignments" is currently not pulling in global variables.
"Editor for Data Assignments" is currently not pulling in global variables.
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: BRMS 5.3.1 GA
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 12:09 EDT by Tihomir Surdilovic
Modified: 2013-10-10 20:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The form and script editor in the Process Designer did not show users global variables available via auto-complete. This has been resolved by adding support to show global variables via auto-complete.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Globals Editor (261.11 KB, image/png)
2012-09-19 08:44 EDT, Sona Mala
no flags Details
Screenshot of Variable Editor (process variable) (260.75 KB, image/png)
2012-09-19 08:45 EDT, Sona Mala
no flags Details
Screenshot of Globals Editor (84.31 KB, image/png)
2012-09-19 08:52 EDT, Sona Mala
no flags Details
Screenshot of Variable Editor (process variable) (83.82 KB, image/png)
2012-09-19 08:53 EDT, Sona Mala
no flags Details
Screenshot of Assigments Editor (90.90 KB, image/png)
2012-09-19 08:53 EDT, Sona Mala
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3749 Major Resolved "Editor for Data Assignments" is currently not pulling in global variables. 2014-08-26 09:05:24 EDT

  None (edit)
Description Tihomir Surdilovic 2012-08-27 12:09:57 EDT
"Editor for Data Assignments" is currently not pulling in global variables.
This is useful/required to assign global variables to Service Task's dataInputs
Comment 1 Sona Mala 2012-09-18 08:11:18 EDT
I am not sure what should be verified. Editor for Data Assignments does not show any global variables (which are defined in package)
Comment 2 Tihomir Surdilovic 2012-09-18 08:18:00 EDT
You can set global variables for the business process itself. Those are looked at only. In process properties click on the Globals editor and set some global variables, then make sure they show up in data assignment editors on a human task for example.

HTH
Comment 3 Sona Mala 2012-09-19 08:44:14 EDT
Nothing change. I can not see globals in Editor for Data assigments even if I define them in process property Globals.

See attached screenshot.
Comment 4 Sona Mala 2012-09-19 08:44:52 EDT
Created attachment 614350 [details]
Screenshot of Globals Editor
Comment 5 Sona Mala 2012-09-19 08:45:35 EDT
Created attachment 614352 [details]
Screenshot of Variable Editor (process variable)
Comment 6 Sona Mala 2012-09-19 08:52:45 EDT
Created attachment 614358 [details]
Screenshot of Globals Editor
Comment 7 Sona Mala 2012-09-19 08:53:10 EDT
Created attachment 614359 [details]
Screenshot of Variable Editor (process variable)
Comment 8 Sona Mala 2012-09-19 08:53:51 EDT
Created attachment 614360 [details]
Screenshot of Assigments Editor
Comment 9 Tihomir Surdilovic 2012-09-19 09:23:06 EDT
Please see my comment on associated JIRA- https://issues.jboss.org/browse/JBPM-3749


"Forgot to add - showing globals in data assignments editor is not correct. Globals are jBPM-specific BPMN2 extension elements and cannot be referenced by assignments like process variables. I have not globals to the assignments to the editor, however have fixes the globals editor and added some more functionality with user inputs of globals. Auto-completion on both forms, and scripts also pulls in globals now as well properly."

so globals are not going to be present in data assignments editor (the title of the BZ is confusing, sorry) but they will be available in the auto-complete in form editor and script editor.

Hope this helps.
Comment 10 Sona Mala 2012-10-16 08:01:36 EDT
Verified for BRMS 5.3.1 ER3, designer 2.3.1-dev

Note You need to log in before you can comment on or make changes to this bug.